Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.model
Class ProcessInstanceDesc

    java.lang.Object
      org.jbpm.kie.services.impl.model.ProcessInstanceDesc

All Implemented Interfaces:
  Serializable

    public class ProcessInstanceDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ProcessInstanceDesc()`
`ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator)`

Method Summary
`Date` | `getDataTimeStamp()`
`String` | `getDeploymentId()`
`long` | `getId()`
`String` | `getInitiator()`
`String` | `getProcessId()`
`String` | `getProcessName()`
`String` | `getProcessVersion()`
`int` | `getState()`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setInitiator(String initiator)`
`void` | `setState(int state)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceDesc

    public ProcessInstanceDesc()

### ProcessInstanceDesc

    public ProcessInstanceDesc(long id,
                               String processId,
                               String processName,
                               String processVersion,
                               int state,
                               String deploymentId,
                               Date dataTimeStamp,
                               String initiator)

Method Detail

### getProcessId

    public String getProcessId()

### getId

    public long getId()

### getProcessName

    public String getProcessName()

### getState

    public int getState()

### getDeploymentId

    public String getDeploymentId()

### getDataTimeStamp

    public Date getDataTimeStamp()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getProcessVersion

    public String getProcessVersion()

### setState

    public void setState(int state)

### getInitiator

    public String getInitiator()

### setInitiator

    public void setInitiator(String initiator)

### setDeploymentId

    public void setDeploymentId(String deploymentId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.